## ruby2.7 2.7.0

=== debian/changelog ===
ruby2.7 (2.7.0-5ubuntu1) focal; urgency=medium

  [ Gianfranco Costamagna ]
  * Merge from sid, remanining changes:
    - fix up symbols files
    - fix riscv64 build

  [ William Grant ]
  * Make 64-bit-only symbols optional to fix FTBFS on i386/armhf.

 -- William Grant <wgrant@ubuntu.com>  Mon, 20 Apr 2020 10:57:17 +1000

ruby2.7 (2.7.0-5) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add test excludes for salsa

  [ Lucas Kanashiro ]
  * d/rules: build with -latomic on riscv64
  * Disable some tests that fail or time out on riscv64
  * d/control: list all libruby2.7 bundle gems in Provides field
  * d/libruby2.7.lintian-overrides:
    - ignore library-not-linked-against-libc errors, the *.so extension files
      are linked against libruby2.7 only
    - ignore wrong-path-to-the-ruby-interpreter errors, the scripts reported
      are not supposed to be used by users
  * d/libruby2.7.symbols: add missing symbols
  * d/control: use secure url in Homepage field
  * Declare compliance with Debian Policy 4.5.0
  * d/copyright: use secure urls in Format and Source fields
  * Bump debhelper compatibility level to 12

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 13 Apr 2020 11:54:17 -0300

ruby2.7 (2.7.0-4) unstable; urgency=medium

  * mipsel: exclude test that fails on buildd

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 19 Feb 2020 08:05:27 -0300

ruby2.7 (2.7.0-3) unstable; urgency=medium

  * Fix priority order of paths in -I option

 -- Cédric Boutillier <boutil@debian.org>  Tue, 04 Feb 2020 18:58:15 +0100

ruby2.7 (2.7.0-2) unstable; urgency=medium

  * Fix symbols file using dpkg-gensymbols (Closes: #948371)
  * debian/rules: fix dh_auto_clean override (Closes: #948187)
  * debian/tests/run-all: copy tool/ to $AUTOPKGTEST_TMP
  * Exclude some failing tests when executed via autopkgtest
  * Set OPENSSL_CONF to lower security level to 1
  * Skip some tests that need root permission to pass

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 22 Jan 2020 11:47:11 -0300

ruby2.7 (2.7.0-1) unstable; urgency=medium

  * No changes rebuild

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 07 Jan 2020 16:20:19 -0300

ruby2.7 (2.7.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.7.0
  * Update d/libruby2.7.symbols
  * d/copyright: remove some files dropped in this new release
  * d/t/run-all: use AUTOPKGTEST_TMP instead of ADTTMP

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 02 Jan 2020 16:41:27 -0300

ruby2.7 (2.7.0~preview2-1~exp1) experimental; urgency=medium

  [ Antonio Terceiro ]
  * New upstream version 2.5.7
  * autopkgtest: simplify test runner even more

  [ Lucas Kanashiro ]
  * d/watch: track release 2.7.x
  * New upstream version 2.7.0~preview2
  * Ruby 2.7
  * Update patches
  * Exclude tests which fail due to ~ in version string
  * debian/rules: define $HOME since some tests rely on it

  [ Antonio Terceiro ]
  * skip test-spec during build
  * Update symbols file with new symbols in ruby 2.7

  [ Lucas Kanashiro ]
  * Add myself to Uploaders list

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 13 Nov 2019 20:40:21 -0300

ruby2.5 (2.5.7-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * New upstream version 2.5.7
  * Refresh patches
  * autopkgtest: rework "expected failures" mechanism. We now just skip the
    tests cases that are known to fail, and not load at all the test files
    that fail to load. This will make the output in case of failures a lot
    more clear.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Oct 2019 12:48:04 -0300

ruby2.5 (2.5.5-4) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/rules: do not compress debug sections for arch-dep Ruby packages with dh_compat 12

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Jul 2019 09:41:10 -0300

ruby2.5 (2.5.5-3) unstable; urgency=medium

  * ia64: Don't clear register_stack_start (Closes: #928068)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Jun 2019 10:16:57 -0300

ruby2.5 (2.5.5-2) unstable; urgency=medium

  * debian/tests/excludes/: fix exclusion of Rinda tests that depend on
    network availability, by moving the existing excludes files to the correct
    location. (Closes: #927122)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 May 2019 10:55:06 -0300

ruby2.5 (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5. Includes a series of bug fixes, most notably
    for 6 security bugs discovered in Rubygems:
    - CVE-2019-8320: Delete directory using symlink when decompressing tar
    - CVE-2019-8321: Escape sequence injection vulnerability in verbose
    - CVE-2019-8322: Escape sequence injection vulnerability in gem owner
    - CVE-2019-8323: Escape sequence injection vulnerability in API response
      handling
    - CVE-2019-8324: Installing a malicious gem may lead to arbitrary code
      execution
    - CVE-2019-8325: Escape sequence injection vulnerability in errors
  * Rebase patches. The following patches were applied upstream and dropped
    from the Debian package:
    - 0011-Update-for-tzdata-2018f.patch
    - 0012-test-update-test-certificate.patch

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 26 Mar 2019 17:12:34 -0300

ruby2.5 (2.5.3-4) unstable; urgency=medium

  * 0012-test-update-test-certificate.patch: update test certificate so
    SSL-related tests pass (Closes: 919516)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Feb 2019 17:51:21 -0300

ruby2.5 (2.5.3-3) unstable; urgency=medium

  * arm64: also skip TestBugReporter#test_bug_reporter_add, which also fails~
    4% of the time.
  * mipsel: fix location of skiplist for OpenSSL::TestSSL, from TestSSL.rb to
    OpenSSL/TestSSL.rb.
  * Remove skiplist for OpenSSL::TestSSL on all architectures. It was in the
    wrong place to begin with.
  * Fix location of skiplist for Rinda-related tests.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 27 Nov 2018 09:58:02 -0200


