## ruby2.7 2.7.1

=== debian/changelog ===
ruby2.7 (2.7.1-3ubuntu1) groovy; urgency=medium

  * Backport upstream patches to fix FTBFS with glibc 2.32 (LP: #1897895)
    - d/p/0010-brace-the-fact-that-lchmod-2-can-EOPNOTSUPP.patch
    - d/p/0011-Moved-not-implemented-method-tests-Bug-16662.patch

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Tue, 29 Sep 2020 16:07:54 -0300

ruby2.7 (2.7.1-3build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:15:02 +0000

ruby2.7 (2.7.1-3) unstable; urgency=medium

  * Do not run TestJIT.rb test file on salsa and autopkgtest
  * Exclude all racc command related tests when running autopkgtest

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 11 May 2020 10:58:00 -0300

ruby2.7 (2.7.1-2) unstable; urgency=medium

  * Skip flaky DRbTest in i386

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 08 May 2020 18:02:58 -0300

ruby2.7 (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * d/control: rules does not require root
  * d/copyright: update Debian packaging copyright
  * Mark ruby2.7-doc binary package as Multi-Arch: foreign (Closes: #956798)
  * B-d on libncurses-dev instead of libncurses{,w}5-dev (Closes: #956799)

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 07 May 2020 18:12:14 -0300

ruby2.7 (2.7.0-7) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/rules: remove extra space from riscv configure line

  [ Antonio Terceiro ]
  * libruby: calculate provides dynamically
  * libruby: do not provide ruby-bundler (Closes: #959393)

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 04 May 2020 15:38:31 -0300

ruby2.7 (2.7.0-6) unstable; urgency=medium

  * Add patch to fix FTBFS on x32: misdetected as i386 or amd64
    (Closes: #954293)
  * d/rules: add -fno-crossjumping to CFLAGS (Closes: #951714)
  * Make 64-bit-only symbols optional to fix FTBFS on i386/armhf

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 20 Apr 2020 10:39:35 -0300
