=== debian/control ===
Source: ruby2.7
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Chris Hofstaedtler <zeha@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Build-Depends: bison,
               coreutils (>= 7.5),
               debhelper-compat (= 13),
               file,
               libffi-dev,
               libgdbm-compat-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses-dev,
               libedit-dev,
               libssl-dev,
               libyaml-dev,
               netbase <!nocheck>,
               openssl <!nocheck>,
               procps <!nocheck>,
               ruby:native <cross>,
               rubygems-integration (>= 1.6) <!nocheck>,
               systemtap-sdt-dev [linux-any],
               tzdata,
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://www.ruby-lang.org/
Vcs-Git: https://salsa.debian.org/ruby-team/ruby.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby
Rules-Requires-Root: no

Package: ruby2.7
Multi-Arch: allowed
Architecture: any
Depends: rubygems-integration (>= 1.17.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lato,
            libjs-jquery
Description: Interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 In the name of this package, `2.7' indicates the Ruby library compatibility
 version. This package currently provides the `2.7.x' branch of Ruby.

Package: libruby2.7
Section: libs
Multi-Arch: same
Architecture: any
Depends: rake (>= 10.4.2),
         ruby-did-you-mean (>= 1.0),
         ruby-minitest (>= 5.4),
         ruby-net-telnet (>= 0.1.1),
         ruby-test-unit (>= 3.0.8~),
         ruby-xmlrpc (>= 0.3.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${libruby:Provides}
Description: Libraries necessary to run Ruby 2.7
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby-2.7' library, necessary to run Ruby 2.7.
 (API version 2.7.0)

Package: ruby2.7-dev
Multi-Arch: same
Architecture: any
Depends: libgmp-dev,
         libruby2.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ruby2.7-doc
Description: Header files for compiling extension modules for the Ruby 2.7
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 2.7. It is also required to build
 many gems.

Package: ruby2.7-doc
Multi-Arch: foreign
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Ruby 2.7
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the autogenerated documentation for Ruby 2.7.
