=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,13 @@
 configure_options += --localstatedir=/var
 configure_options += --sysconfdir=/etc
 
+# These are embedded in rbconfig.rb and should be triplet-prefixed for
+# cross compilation.
+configure_options += AS=$(DEB_HOST_GNU_TYPE)-as
+configure_options += CC=$(DEB_HOST_GNU_TYPE)-gcc
+configure_options += CXX=$(DEB_HOST_GNU_TYPE)-g++
+configure_options += LD=$(DEB_HOST_GNU_TYPE)-ld
+
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 # Cross-building. This is the same logic that debhelper's
 # lib/Debian/Debhelper/Buildsystem/autoconf.pm uses.
@@ -52,7 +59,10 @@
 configure_options += --with-compress-debug-sections=no
 
 # hardening and other standard Debian build flags
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+# LTO appears to cause some issue to SEGV handler.
+# https://bugs.ruby-lang.org/issues/17052
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow optimize=-lto
 configure_options += $(shell dpkg-buildflags --export=configure)
 
 # See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93808
@@ -65,6 +75,7 @@
 
 # Some tests rely on $HOME
 export HOME := $(shell mktemp -d)
+export LANG := C.UTF-8
 
 %:
 	dh $@
