## ruby2.7 2.7.4

=== debian/changelog ===
ruby2.7 (2.7.4-1+deb11u5) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2025-27219:
    The CGI::Cookie.parse method in the CGI library contains a
    potential Denial of Service (DoS) vulnerability.
    The method does not impose any limit on the length of the raw
    cookie value it processes. This oversight can lead to excessive
    resource consumption when parsing extremely large cookies.
  * Fix CVE-2025-27220:
    In the CGI gem, a Regular Expression Denial of Service (ReDoS)
    vulnerability exists in the Util#escapeElement method.
  * Fix CVE-2025-27221:
    In the URI gem for Ruby, the URI handling methods
    (URI.join, URI#merge, URI#+) have an inadvertent leakage of
    authentication credentials because userinfo is retained even
    after changing the host.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 09 Mar 2025 18:12:00 +0000

ruby2.7 (2.7.4-1+deb11u4) bullseye-security; urgency=medium

  [ Bastien Roucariès ]
  * Non-maintainer upload by the LTS Security Team.

  [ Nishit Majithia ]
  * SECURITY REGRESSION: fix xml namespace issue (LP: #2097527)
    - d/p/fix-lp2097527.patch: Fix handling with "xml:" prefixed namespace

 -- Bastien Roucariès <rouca@debian.org>  Tue, 11 Feb 2025 20:18:15 +0000

ruby2.7 (2.7.4-1+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2024-35176: REXML is an XML toolkit for Ruby.
    The REXML gem has a Denial of Service (DoS) vulnerability
    when it parses an XML that has many `<`s in
    an attribute value. Those who need to parse
    untrusted XMLs may be impacted to this vulnerability
  * Fix CVE-2024-39908: REXML is an XML toolkit for Ruby.
    The REXML gem has some Denial of Service (DoS) vulnerabilities
    when it parses an XML that has many specific characters such
    as `<`, `0` and `%>`. If you need to parse untrusted XMLs,
    you many be impacted to these vulnerabilities.
  * Fix CVE-2024-41123: REXML is an XML toolkit for Ruby.
    The REXML gem has some Denial of Service (DoS) vulnerabilities
    when it parses an XML that has many specific characters
    such as whitespace character, >] and ]>.
    If you need to parse untrusted XMLs, you may be impacted
    to these vulnerabilities.
  * Fix CVE-2024-41946: REXML is an XML toolkit for Ruby.
    The REXML gem had a Denial of Service (DoS) vulnerability
    when it parses an XML that has many entity expansions
    with SAX2 or pull parser API.
  * Fix CVE-2024-43398: REXML is an XML toolkit for Ruby.
    The REXML gem before 3.3.6 has a Denial of Service (DoS)
    vulnerability when it parses an XML that has many deep
    elements that have same local name attributes.
    If you need to parse untrusted XMLs with tree parser
    API like REXML::Document.new, you may be impacted
    to this vulnerability. If you use other parser APIs
    such as stream parser API and SAX2 parser API,
    you are not impacted.
  * Fix CVE-2024-49761: REXML is an XML toolkit for Ruby.
    The REXML gem before 3.3.9 has a ReDoS vulnerability
    when it parses an XML that has many digits between
    &# and x...; in a hex numeric character reference (&#x...;).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 05 Jan 2025 17:40:58 +0000

ruby2.7 (2.7.4-1+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix testsuite
    * Update test certificates.
    * Update tests for new tzdata.
    * Update tests for Git CVE 2022-39253.
    * Backport assert_linear_performance.
  * CVE-2021-33621: the cgi gem allows HTTP response splitting. This is
    relevant to applications that use untrusted user input either to
    generate an HTTP response or to create a CGI::Cookie object.
    (Closes: #1024799)
  * CVE-2022-28739: buffer over-read occurs in String-to-Float conversion,
    including Kernel#Float and String#to_f. (Closes: #1009957)
  * CVE-2023-28755: a ReDoS issue was discovered in the URI component. The
    URI parser mishandles invalid URLs that have specific characters. It
    causes an increase in execution time for parsing strings to URI
    objects. (Closes: #1038408)
  * CVE-2023-36617: follow-up fix for CVE-2023-28755.
  * CVE-2023-28756: a ReDoS issue was discovered in the Time
    component. The Time parser mishandles invalid URLs that have specific
    characters. It causes an increase in execution time for parsing
    strings to Time objects. (Closes: #1038408)
  * CVE-2024-27280: a buffer-overread issue was discovered in
    StringIO. The ungetbyte and ungetc methods on a StringIO can read past
    the end of a string, and a subsequent call to StringIO.gets may return
    the memory value. (Closes: #1069966)
  * CVE-2024-27281: when parsing .rdoc_options (used for configuration in
    RDoc) as a YAML file, object injection and resultant remote code
    execution are possible because there are no restrictions on the
    classes that can be restored. (When loading the documentation cache,
    object injection and resultant remote code execution are also possible
    if there were a crafted cache.) (Closes: #1067802)
  * CVE-2024-27282: if attacker-supplied data is provided to the Ruby
    regex compiler, it is possible to extract arbitrary heap data relative
    to the start of the text, including pointers and sensitive strings.
    (Closes: #1069968)

 -- Sylvain Beucler <beuc@debian.org>  Sat, 10 Aug 2024 11:18:44 +0200

ruby2.7 (2.7.4-1+deb11u1) bullseye-security; urgency=high

  * Add length limit option for methods that parses
    date strings. (Fixes: CVE-2021-41817)
  * When parsing cookies, only decode the values.
    (Fixes: CVE-2021-41819)
  * Add patch to fix integer overflow.
    (Fixes: CVE-2021-41816) (Closes: #1002995)

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 27 Jan 2022 21:16:13 +0530

ruby2.7 (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4.
    (Fixes: CVE-2021-31799 CVE-2021-31810 CVE-2021-32066)

