=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
-           Chris Hofstaedtler <zeha@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: bison,
