=== debian/rules ===
--- 
+++ 
@@ -59,10 +59,7 @@
 configure_options += --with-compress-debug-sections=no
 
 # hardening and other standard Debian build flags
-
-# LTO appears to cause some issue to SEGV handler.
-# https://bugs.ruby-lang.org/issues/17052
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow optimize=-lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 configure_options += $(shell dpkg-buildflags --export=configure)
 
 # See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93808
